# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
BuildRequires: python-module-markdown
%define oldname python-tgcaptcha
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%global         eggname TGCaptcha

Name:           python-module-tgcaptcha
Version:        0.11
Release:        alt1_13
Summary:        TurboGears CAPTCHA widget for forms

Group:          Development/Python
License:        MIT
URL:            http://code.google.com/p/tgcaptcha
Source0:        http://tgcaptcha.googlecode.com/files/%{eggname}-%{version}.tar.gz
Patch0:         python-tgcaptcha-system-tuffy.patch
Patch1: tgcaptcha-setup.patch
Patch2: tgcaptcha-pillow.patch
BuildArch:      noarch

BuildRequires:  python-devel python-module-TurboGears
Requires:       fonts-ttf-tulrich-tuffy
Source44: import.info

%description
TGCaptcha is a TurboGears widget that provides an easy way to incorporate a
captcha as part a form in an attempt to reduce spam or malicious activity.


%prep
%setup -q -n %{eggname}-%{version}
%patch0 -p1 -b .tuffy
%patch1 -p1 -b .oldcp
%patch2 -p1 -b .pillow

%build
rm -rf tgcaptcha/static/fonts/

%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT 


%files
%doc README.txt COPYRIGHT.txt
%{python_sitelibdir_noarch}/*



%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1_13
- update to new release by fcimport

* Sun Jan 06 2013 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1_12
- initial fc import

